# Role requirements
roles:
  - name: linux-base-install
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.linux-base-install.git
    scm: git
    version: main

  - name: fzf
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.fzf.git
    scm: git
    version: main

  - name: vim
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.vim.git
    scm: git
    version: main

  - name: zsh
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.zsh.git
    scm: git
    version: main

  - name: linux-docker
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.linux-docker.git
    scm: git
    version: main

  - name: plesk
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.plesk.git
    scm: git
    version: main

  - name: rclone
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.rclone.git
    scm: git
    version: main  
  
  - name: nextcloud-hpb
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.nextcloud-talk-hpb.git
    scm: git
    version: main

  - name: wireguard
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.wireguard.git
    scm: git
    version: main
    
  - name: bitwarden
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.bitwarden.git
    scm: git
    version: main

  - name: lxc-container
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.lxc-container.git

  - name: timescaledb
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.timescaledb.git
    scm: git
    version: main

  - name: ollama
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.ollama.git
    scm: git
    version: main

  - name: open-webui
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.open-webui.git
    scm: git
    version: main
  
  - name: n8n
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.n8n.git

  - name: photoprism
    src: git@git.captica.de:captica-automation/de.captica.automation.ansible.role.photoprism
    scm: git
    version: main

# Collections requirements
collections:
  - name: community.general
    version: 10.7.1
    source: https://galaxy.ansible.com
  - name: ansible.posix
  - name: community.docker
    source: https://galaxy.ansible.com